Loading...
Searching...
No Matches
uvector.h File Reference

Header file for UVector and its relational and swap functions. More...

`#include <algorithm>`
`#include <cstring>`
`#include <iterator>`
`#include <memory>`
`#include <stdexcept>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | aocommon::UVector< Tp, Alloc >
| A container similar to std::vector, but one that allows construction without initializing its elements. More...

## Namespaces

namespace | aocommon

## Functions

template<class Tp, class Alloc>
bool | aocommon::operator== (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for equality.
template<class Tp, class Alloc>
bool | aocommon::operator!= (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for inequality.
template<class Tp, class Alloc>
bool | aocommon::operator< (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for smaller than.
template<class Tp, class Alloc>
bool | aocommon::operator<= (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for smaller than or equal.
template<class Tp, class Alloc>
bool | aocommon::operator> (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for larger than.
template<class Tp, class Alloc>
bool | aocommon::operator>= (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for larger than or equal.
template<class Tp, class Alloc>
void | aocommon::swap (UVector< Tp, Alloc > &x, UVector< Tp, Alloc > &y)
| Swap the contents of the two UVectors.

## Detailed Description

Header file for UVector and its relational and swap functions.

Author
  André Offringa

Copyright
  André Offringa, 2013, distributed under the GPL license version 3.

Definition in file uvector.h.